<!DOCTYPE html>
<html lang="en">
<head>
    <title>Spring Angular and Cucumber Demo</title>

    <link href="http://cdn.jsdelivr.net/webjars/bootstrap/3.3.7-1/css/bootstrap.min.css"
          th:href="@{/webjars/bootstrap/3.3.7-1/css/bootstrap.min.css}" rel="stylesheet" media="screen"/>
    <link href="/css/narrow.css" rel="stylesheet" />
</head>
<body ng-app="myApp">




<div class="container">
    <div class="header clearfix">
        <nav>
            <ul class="nav nav-pills pull-right">
                <li role="presentation" class="active"><a href="#">Home</a></li>
                <li role="presentation"><a href="#">About</a></li>
                <li role="presentation"><a href="#">Contact</a></li>
            </ul>
        </nav>
        <h3 class="text-muted">Spring Angular Cucumber Demo</h3>
    </div>

    <div class="jumbotron">
        <h1>Spring Angular Cucumber Demo</h1>
        <p class="lead">This is a simple demo to try things out with Spring, Angular, Selenium and Cucumber.</p>
        <p><a class="btn btn-lg btn-success" href="#" role="button">Git Repository</a></p>
    </div>

    <div class="well well-lg text-center" ng-controller="counterController">
        <h2>Increment</h2>
        <span id="counter" style="font-size: 500%">{{count}}</span>
        <p/>
        <button id="increment-button" class="btn btn-lg btn-success" ng-click="increment()">Increment</button>

    </div>

    <div class="well well-lg text-center" ng-controller="additionController">
        <h2>Addition</h2>
        <form class="form-horizontal" role="form">
            <div class="form-group">
                <label class="col-sm-4 control-label">First Number: </label>
                <div class="col-sm-8">
                    <input id="adder-first-number" class="form-control" ng-model="firstNumber" type="text"/>
                </div>
            </div>

            <div class="form-group">
                <label class="col-sm-4 control-label">Second Number: </label>
                <div class="col-sm-8">
                    <input id="adder-second-number" class="form-control" ng-model="secondNumber" type="text"/>
                </div>
            </div>
            <div class="form-group">
                <button id="adder-button" class="btn btn-lg btn-success" ng-click="add()">Add</button>
            </div>
        </form>


            <span id="adder-result" style="font-size: 500%">{{additionResult}}</span>


   </div>



<!--
    <div class="well well-lg text-center" ng-controller="converterController">
        <h2>Roman Numeral Conversion</h2>
        <form class="form-horizontal" role="form">
            <div class="form-group">
                <label class="col-sm-4 control-label">Arabic Number: </label>
                <div class="col-sm-8">
                    <input id="arabic-number" class="form-control" ng-model="arabicNumber" type="text"/>
                </div>
            </div>

            <div class="form-group">
                <button id="convert" class="btn btn-lg btn-success" ng-click="convert()">Convert</button>
            </div>
        </form>

        <span id="roman-numeral" style="font-size: 500%">{{romanNumeral}}</span>

    </div>
-->





</div> <!-- /container -->

<script src="http://cdn.jsdelivr.net/webjars/angularjs/1.5.0/angular.min.js"
        th:src="@{/webjars/angularjs/1.6.6/angular.min.js}"></script>
<script type="text/javascript" src="../js/app.js"
        th:src="@{/js/app.js}"></script>
</body>
</html>